Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://gdeltcloud.com/api/v2/entity-tone/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/entity-tone/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/entity-tone/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"run_id": "entity-tone-v2-3f9c1b2a-7d4e-4a51-9c83-1e6b2f0a55d1",
"run_type": "entity_tone",
"status": "succeeded",
"request_source": "api",
"requester_user_id": "a1d4f7c2-9b3e-4c08-8f21-6d5b0e9a3c47",
"requester_email": "",
"request_json": "{\"entity_ids\":[\"wikipedia:en:Saudi_Aramco\"],\"resolved_entities\":[{\"canonical_entity_id\":\"wikipedia:en:Saudi_Aramco\",\"display_name\":\"Saudi Aramco\",\"entity_type\":\"organization\",\"wikipedia_url\":\"https://en.wikipedia.org/wiki/Saudi_Aramco\",\"match_type\":\"exact_alias\",\"confidence\":0.98}],\"start_date\":\"2026-06-01\",\"end_date\":\"2026-06-28\",\"filters\":{}}",
"denominator_hash": "c0ffee7a1b2c3d4e",
"start_date": "2026-06-01",
"end_date": "2026-06-28",
"target_entity_count": 1,
"candidate_story_count": 213,
"scored_case_count": 188,
"estimated_query_units": 23,
"charged_query_units": 23,
"estimated_cost_usd": 0.1704,
"error": "",
"created_at": "2026-06-28 14:22:07",
"updated_at": "2026-06-28 14:41:55",
"case_status_counts": [
{
"case_status": "done",
"count": 188
},
{
"case_status": "insufficient_evidence",
"count": 19
},
{
"case_status": "queued",
"count": 6
}
]
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}Status + result of a queued entity-tone run. Requires a plan with Entity media tone access (can_use_tone) — the Analyst, Media Intelligence, Geopolitical Intelligence, and Global Intelligence plans.
curl --request GET \
--url https://gdeltcloud.com/api/v2/entity-tone/runs/{run_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://gdeltcloud.com/api/v2/entity-tone/runs/{run_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gdeltcloud.com/api/v2/entity-tone/runs/{run_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"data": {
"run_id": "entity-tone-v2-3f9c1b2a-7d4e-4a51-9c83-1e6b2f0a55d1",
"run_type": "entity_tone",
"status": "succeeded",
"request_source": "api",
"requester_user_id": "a1d4f7c2-9b3e-4c08-8f21-6d5b0e9a3c47",
"requester_email": "",
"request_json": "{\"entity_ids\":[\"wikipedia:en:Saudi_Aramco\"],\"resolved_entities\":[{\"canonical_entity_id\":\"wikipedia:en:Saudi_Aramco\",\"display_name\":\"Saudi Aramco\",\"entity_type\":\"organization\",\"wikipedia_url\":\"https://en.wikipedia.org/wiki/Saudi_Aramco\",\"match_type\":\"exact_alias\",\"confidence\":0.98}],\"start_date\":\"2026-06-01\",\"end_date\":\"2026-06-28\",\"filters\":{}}",
"denominator_hash": "c0ffee7a1b2c3d4e",
"start_date": "2026-06-01",
"end_date": "2026-06-28",
"target_entity_count": 1,
"candidate_story_count": 213,
"scored_case_count": 188,
"estimated_query_units": 23,
"charged_query_units": 23,
"estimated_cost_usd": 0.1704,
"error": "",
"created_at": "2026-06-28 14:22:07",
"updated_at": "2026-06-28 14:41:55",
"case_status_counts": [
{
"case_status": "done",
"count": 188
},
{
"case_status": "insufficient_evidence",
"count": 19
},
{
"case_status": "queued",
"count": 6
}
]
}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}{
"success": false,
"error": "<string>",
"code": "<string>",
"details": {}
}